For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
            • GETList Product Variants
            • POSTCreate Product Variant
            • GETGet Product Variant
            • PUTUpdate Product Variant
            • DELDelete Product Variant
              • GETList Product Variant Metafields
              • POSTCreate Product Variant Metafield
              • GETGet Product Variant Metafield
              • PUTUpdate Product Variant Metafields
              • DELDelete Product Variant Metafield
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct VariantsMetafields

List Product Variant Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/variants/:variant_id/metafields
GET
/stores/:store_hash/v3/catalog/products/:product_id/variants/:variant_id/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/variants/1/metafields \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": [
3 {
4 "key": "Location",
5 "namespace": "Warehouse Locations",
6 "permission_set": "app_only",
7 "value": "4HG",
8 "date_created": "2018-05-07T20:14:17+00:00",
9 "date_modified": "2018-05-07T20:14:17+00:00",
10 "description": "Location in the warehouse",
11 "id": 6,
12 "resource_id": 111,
13 "resource_type": "product"
14 }
15 ],
16 "meta": {
17 "data": [
18 {
19 "id": 26,
20 "parent_id": 25,
21 "name": "Bath",
22 "is_visible": true,
23 "url": "/towels/bath-towels/"
24 }
25 ],
26 "meta": {}
27 }
28}

Returns a list of product variant Metafields. Optional parameters can be passed in.

Was this page helpful?
Previous

Create Product Variant Image

Next

Create Product Variant Metafield

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

resource_id:instringOptional

A comma-separated list of entity ID values that filter results to metafields that belong to one of the matching entities.

Response

datalist of objects
metaobject

Returns the categories tree, a nested lineage of the categories with parent->child relationship. The Category objects returned are simplified versions of the category objects returned in the rest of this API.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.